Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin
Class DynamicConnectionUserMapping

    java.lang.Object
      jet.server.api.admin.DynamicConnectionUserMapping

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public final class DynamicConnectionUserMapping

extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

Represents a database user mapping object. It contains security identifier (the principal and principalType), database username and database password.

The principal & principalType is must not be null.

See Also:
  Serialized Form

Constructor Summary
`DynamicConnectionUserMapping()`

Method Summary
`DynamicConnectionUserMapping` | `clone()`
`boolean` | `equals(java.lang.Object obj)` Compares whether another obj is equals this instance (if and only if the principal & principalType is equals).
`java.lang.String` | `getDatabasePassword()`
`java.lang.String` | `getDatabaseUser()`
`java.lang.String` | `getPrincipal()` the name of the security principal (user, group or role)
`APIEnums.PrincipalType` | `getPrincipalType()`
`int` | `hashCode()`
`void` | `setDatabasePassword(java.lang.String databasePassword)`
`void` | `setDatabaseUser(java.lang.String databaseUser)`
`void` | `setPrincipal(java.lang.String principal)`
`void` | `setPrincipalType(APIEnums.PrincipalType principalType)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DynamicConnectionUserMapping

    public DynamicConnectionUserMapping()

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Compares whether another obj is equals this instance (if and only if the principal & principalType is equals).

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### clone

    public DynamicConnectionUserMapping clone()

  Overrides:
    `clone` in class `java.lang.Object`

### getPrincipal

    public java.lang.String getPrincipal()

  the name of the security principal (user, group or role)

### setPrincipal

    public void setPrincipal(java.lang.String principal)

### getPrincipalType

    public APIEnums.PrincipalType getPrincipalType()

### setPrincipalType

    public void setPrincipalType(APIEnums.PrincipalType principalType)

### getDatabaseUser

    public java.lang.String getDatabaseUser()

### setDatabaseUser

    public void setDatabaseUser(java.lang.String databaseUser)

### getDatabasePassword

    public java.lang.String getDatabasePassword()

### setDatabasePassword

    public void setDatabasePassword(java.lang.String databasePassword)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD